Sets the object's default compression quality

- « Gmagick::separateimagechannel

- Gmagick::setfilename »

- PHP Manual
- Gmagick
- Sets the object's default compression quality

# Gmagick::setCompressionQuality

(No version information available, might only be in Git)

Gmagick::setCompressionQuality — Sets the object's default compression quality

### Description

Gmagick::setCompressionQuality( int `$quality` = 75 ): Gmagick

Sets the object's default compression quality.

### Parameters

`quality`

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.

### Examples

Example #1 Gmagick::setCompressionQuality()

    <?php
    $gm = new Gmagick();
    $gm->read("magick:rose");
    $gm->setCompressionQuality(2);
    ?>